%define		pkgname pxlib
%define		libname	libpx
%define		soname %{libname}0
Summary:	A library to read Paradox DB files
Name:		%{soname}
Version:	0.6.5
Release:	2.1
License:	see doc/COPYING
Group:		Applications/Utils
Url:		http://pxlib.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/pxlib/%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		/usr
Provides:	%{pkgname}
Obsoletes:	%{pkgname}

BuildRequires: perl-XML-Parser docbook-to-man intltool

%if 0%{?suse_version} >= 1110
BuildRequires:		sqlite-devel
%else
BuildRequires:		sqlite2-devel
%endif

%description
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%package -n %{libname}-devel
Summary: A library to read Paradox DB files (Development)
Group: Development/Libraries
Requires: %{soname} = %{version}
Provides: %{pkgname}-devel
Obsoletes: %{pkgname}-devel


%description -n %{libname}-devel
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%debug_package

%prep
%setup -n %{pkgname}-%{version}

%build
%configure --with-sqlite --with-gsf
make

%install
rm -rf ${RPM_BUILD_ROOT}
install -d -m 755 ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr(-,root,root) %doc README AUTHORS ChangeLog COPYING
%attr(-,root,root) %{_libdir}/lib*.so.*
%attr(-,root,root) %{prefix}/share/locale/*/LC_MESSAGES/*

%files -n %{libname}-devel
%attr(-,root,root) %{_libdir}/lib*.so
%attr(-,root,root) %{_libdir}/*.a
%attr(-,root,root) %{_libdir}/*.la
%attr(-,root,root) %{_libdir}/pkgconfig/*
%attr(-,root,root) %{prefix}/include/*
%attr(-,root,root) %{_mandir}/man3/*

%changelog
* Fri Mar 23 2012 Carsten Schoene <cs@linux-administrator.com> - 0.6.5-1
- update to release 0.6.5

* Sun Dec 20 2009 Carsten Schoene <cs@linux-administrator.com> - 0.6.3-2
- rename package vom pxlib to libpx0

* Wed Jan 02 2008 Carsten Schoene <cs@linux-administrator.com> - 0.6.3-1
- initial build

